Bug 41508 - Update port: converters/uudeview|converters/uulib|converters/xdeview to 0.5.18 (fix ports/36575)
Summary: Update port: converters/uudeview|converters/uulib|converters/xdeview to 0.5.1...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: hoek
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-08-10 04:52 UTC by tkato
Modified: 2002-09-02 05:05 UTC (History)
0 users

See Also:


Attachments
file.shar (15.86 KB, text/plain)
2002-08-10 04:52 UTC, tkato
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description tkato 2002-08-10 04:52:54 UTC
- Update to version 0.5.18
    
[converters/xdeview]
New file:
files/patch-ad
    
Remove file:
files/patch-aa
files/patch-ac

This PR supersedes following PR.
 [2002/03/31] ports/36575  hoek     Update port: converters/uudeview|converters/uulib|converters/xdeview to 0.5.17
Comment 1 Mario Sergio Fujikawa Ferreira freebsd_committer 2002-08-10 06:24:56 UTC
Responsible Changed
From-To: freebsd-ports->hoek

Over to maintainer
Comment 2 hoek freebsd_committer 2002-09-02 05:01:42 UTC
State Changed
From-To: open->closed

Modified patch applied, thanks.  A couple significant 
changes - It was necessary to update the shared lib version 
due to changes in the arguments to the UUEncodePartial() 
function.  Also, I made a small security patch to avoid 
using tempnam() which is evil.  I didn't add do-install: 
targets to the Makefile, since the existing install: targets 
in uudeview's original Makefiles looked okay. 

When you are removing files (such as xdeview/files/patch-ac), 
it's helpful if you explicitly note that the file is being 
removed by the given PR.  This just helps to tame the cvs 
monster a little bit.  :) 

Thanks.